Subject: Re: [StGit PATCH] Added test case for stg refresh

From: David Kågedal <[email-masked]>
Date: Thu, 22 Nov 2007 08:59:17 +0100

"Catalin Marinas" <[email-masked]> writes:

> On 21/11/2007, Karl Hasselström <[email-masked]> wrote:
>> On 2007-11-21 11:43:00 +0100, David Kågedal wrote:
>>
>> > David Kågedal <[email-masked]> writes:
>> >
>> > > This test case fails on the kha/experimental branch. Using "stg
>> > > refresh -p <patch>" can cause all sorts of wieirdness, and there
>> > > is no test case for it.
>
> I noticed the weirdness few days ago and fixed it in
> e8813959aa3a7c41ffef61d06068b10519bd4830 (though no test caught it).
> Do you still see problems after this commit?

The problem I see is that there still is no test case. That is bad and
means that it could break again tomorrow without anyone noticing.

Luckily, I just wrote one for you :-)

-- 
David Kågedal